| Home | Libraries | People | FAQ | More

## Struct template make_list

boost::intrusive::make_list

## Synopsis

    // In header: <boost/intrusive/list.hpp>

    template<typename T, class... Options>
    struct make_list {
      // types
      typedef unspecified                                                                                             value_traits;
      typedef list< listopt< value_traits, typename packed_options::size_type, packed_options::constant_time_size > > implementation_defined;
      typedef implementation_defined                                                                                  type;
      < list_defaults< T > O1;
      < list_defaults< T > O2;
      < list_defaults< T > O3::type packed_options;
    };

## Description

Helper metafunction to define a `list` that yields to the same type when the same options (either explicitly or implicitly) are used.